<div class="betslip-data">
    <div class="betslip-data-header">
        <h4>{{ 'betslip.betslips' | translate }}</h4>
        <div>
            <ul class="list-inline">
                <li><i class="fa fa-square won" aria-hidden="true"></i> {{ 'betslip.win' | translate }}</li>
                <li><i class="fa fa-square running" aria-hidden="true"></i> {{ 'betslip.running' | translate }}</li>
                <li><i class="fa fa-square lost" aria-hidden="true"></i> {{ 'betslip.lost' | translate }}</li>
                <li><i class="fa fa-check-square" aria-hidden="true"></i> {{ 'betslip.finnished' | translate }}</li>
                <li><i class="fa fa-times-circle" aria-hidden="true"></i> {{ 'betslip.cancel' | translate }} </li>
            </ul>
        </div>
    </div>
    <div class="featured-search text-left hidden-xs">
        <h6>{{ 'betslip.search-by-date' | translate }}</h6>
        <form [formGroup]="myForm" novalidate class="form-inline">
            <div class="form-group">
                <my-date-picker name="mydate" class="date" [options]="myDatePickerOptions" formControlName="fromDate" (dateChanged)="fromDateChanged($event)"></my-date-picker>
            </div>

            <div class="form-group">
                <label>&nbsp;&nbsp;{{ 'betslip.to' | translate }}&nbsp;&nbsp;</label>
            </div>
            <div class="form-group">
                <my-date-picker name="mydate" class="date" [options]="myDatePickerOptions" formControlName="toDate" (dateChanged)="toDateChanged($event)"></my-date-picker>
            </div>
            <div class="form-group">
                <button type="button" class="btn btn-small btn-primary search-btn" (click)="getSlipsByDate()">{{ 'betslip.search' | translate }} &nbsp;&nbsp;<i class="fa fa-search" aria-hidden="true"></i>
                </button>
            </div>
        </form>
    </div>
    <div class="featured-search visible-xs">
        <h6>{{ 'betslip.search-by-date' | translate }}</h6>
        <form [formGroup]="myForm" novalidate>
            <div class="form-group">
                <my-date-picker name="mydate" class="date" [locale]="translate.currentLang" [options]="myDatePickerOptions1" formControlName="fromDate" (dateChanged)="fromDateChanged($event)"></my-date-picker>
                <label class="mobile-search">&nbsp;&nbsp;{{ 'betslip.to' | translate }}&nbsp;&nbsp;</label>
                <my-date-picker name="mydate" class="date" [locale]="translate.currentLang" [options]="myDatePickerOptions1" formControlName="toDate" (dateChanged)="toDateChanged($event)"></my-date-picker>
            </div>
            <div class="form-group">
                <button type="button" class="btn btn-small btn-primary btn-block search-btn" (click)="getSlipsByDate()">{{ 'betslip.search' | translate }} &nbsp;&nbsp;<i class="fa fa-search" aria-hidden="true"></i>
                </button>
            </div>
        </form>
    </div>
    <div class="loader text-center" *ngIf="load">
        <img src="assets/images/spinner.gif" alt="" style="width: 50px;height: 50px;">
    </div>
    <div class="hidden-xs" *ngIf="flag > 0">
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>{{ 'betslip.betslip' | translate }}</th>
                    <th>{{ 'betslip.bettype' | translate }}</th>
                    <th>{{ 'betslip.date' | translate }}</th>
                    <th>{{ 'betslip.stake' | translate }}</th>
                    <th>{{ 'betslip.odd' | translate }}</th>
                    <th>{{ 'betslip.status' | translate }}</th>
                    <th>{{ 'betslip.outcome' | translate }}</th>
                    <th>{{ 'betslip.winning' | translate }}</th>
                    <th>{{ 'betslip-select.print-betslip' | translate }}</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let slip of betslip; let x=index">
                    <td><a (click)="getSlipById(slip.bet_id)" class="info">{{ slip.bet_code }}</a></td>

                    <td *ngIf="slip.type == 'autobet'">{{ 'header.autobet' | translate }}</td>
                    <td *ngIf="slip.type == 'betslip'">{{ 'betslip.betslip' | translate }}</td>
                    <td *ngIf="slip.type == 'jackpot'">{{ 'header.mega-jackpot' | translate }}</td>

                    <td>{{ slip.date_placed }}</td>
                    <td>{{ slip.stake }}</td>
                    <td>{{ slip.odds }}</td>
                    <td>
                        <span *ngIf="slip.status"><i class="fa fa-check-square" aria-hidden="true"></i></span>
                        <span *ngIf="!slip.status"><i class="fa fa-square running" aria-hidden="true"></i></span>
                    </td>
                    <td>
                        <span *ngIf="slip.won && slip.status && slip.cancelled == 0"><i class="fa fa-square won" aria-hidden="true"></i></span>
                        <span *ngIf="!slip.won && slip.status && slip.cancelled == 0"><i class="fa fa-square lost" aria-hidden="true"></i></span>
                        <span *ngIf="!slip.won && !slip.status && slip.cancelled == 0"><i class="fa fa-square running" aria-hidden="true"></i></span>
                        <span *ngIf="slip.status && slip.cancelled"><i class="fa fa-times-circle" aria-hidden="true"></i></span>
                    </td>
                    <td>
                        <span *ngIf="slip.won && slip.status">{{slip.possible_win}}</span>
                        <span *ngIf="!slip.won && slip.status">0</span>
                        <span *ngIf="!slip.won && !slip.status">{{slip.possible_win}}</span>
                    </td>
                    <div class="ticket" id="{{ x + 'demo' }}" class="demo">
                        <div class="centered">
                            <img src="{{ img }}" alt="Logo">
                            <p class="small">{{ 'betslip.betslip' | translate }} : {{ slip.bet_code }}</p>
                        </div>
                        
                        <table  style="width:100%">
                            <thead>
                                <tr>
                                    <th>{{ 'betslip.event' | translate }}</th>
                                    <th>{{ 'betslip.odd' | translate }}</th>                                    
                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let slip of slip.matches; let x=index">
                                    <td class="event">
                                        <b>{{ slip.name}}</b><br>
                                        <span>{{ 'betslip.startdate' | translate }}: {{ slip.scheduled }}</span><br>
                                        <span>{{ 'betslip.pick' | translate }}: {{ slip.pick }}</span>
                                    </td>
                                    <td>
                                        {{ slip.odd}}<br>
                                        <!-- <span *ngIf="slip.status">{{ 'betslip.finnished' | translate }}</span>
                                        <span *ngIf="!slip.status">{{ 'betslip.running' | translate }}</span>
                                        <br> -->
                                        <span *ngIf="slip.won && slip.cancelled == 0">{{ 'betslip.win' | translate }}</span>
                                        <span *ngIf="!slip.won && slip.status && slip.resulted && slip.cancelled == 0">{{ 'betslip.lost' | translate }}</span>
                                        <span *ngIf="!slip.won && !slip.status && !slip.resulted && slip.cancelled == 0">{{ 'betslip.running' | translate }}</span>
                                        <span *ngIf="slip.cancelled">{{ 'betslip.cancel' | translate }}</span>
                                        <br>
                                        
                                    </td>
                                </tr>
                            </tbody>
                            <tfoot>
                                <tr class="border-top">
                                    <td class="event"><b>{{ 'betslip.odd' | translate }}</b></td>
                                    <td>{{ slip.odds }}</td>
                                </tr>
                                <tr>
                                    <td class="event"><b>{{ 'betslip.stake' | translate }}</b></td>
                                    <td>{{ slip.stake }}</td>
                                </tr>
                                <tr>
                                    <td class="event"><b>{{ 'betslip.winning' | translate }}</b></td>
                                    <td>
                                        <span *ngIf="slip.won && slip.status">BIF {{slip.possible_win}}</span>
                                        <span *ngIf="!slip.won && slip.status">0</span>
                                        <span *ngIf="!slip.won && !slip.status">BIF {{slip.possible_win}}</span>
                                    </td>
                                </tr>
                            </tfoot>
                        </table>
                    </div>

                    <td><button class="btn btn-primary" (click)="printComponent( x + 'demo')">{{ 'betslip-select.print-betslip' | translate }}</button></td>
                </tr>
            </tbody>
        </table>

        <div class="text-center" *ngIf="flag > 8">
            <!-- pager -->
            <ul *ngIf="pager.pages && pager.pages.length" class="pagination">
                <li [ngClass]="{disabled:pager.currentPage === 1}">
                    <a (click)="setPage(1,2)"><i class="fa fa-angle-double-left" aria-hidden="true"></i></a>
                </li>
                <li [ngClass]="{disabled:pager.currentPage === 1}">
                    <a (click)="setPage(pager.currentPage - 1,2)"><i class="fa fa-angle-left" aria-hidden="true"></i></a>
                </li>
                <li *ngFor="let page of pager.pages" [ngClass]="{active:pager.currentPage === page}">
                    <a (click)="setPage(page,2)">{{page}}</a>
                </li>
                <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                    <a (click)="setPage(pager.currentPage + 1,2)"><i class="fa fa-angle-right" aria-hidden="true"></i>
          </a>
                </li>
                <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                    <a (click)="setPage(pager.totalPages,2)"><i class="fa fa-angle-double-right" aria-hidden="true"></i>
          </a>
                </li>
            </ul>
        </div>
    </div>

    <div class="visible-xs" *ngIf="flag > 0">
        <ul class="list-unstyled">
            <li *ngFor="let slip of betslip; let x=index">
                <button class="terms-accordion-m" (click)="toggleAccordian($event)">
                    <!-- {{ slip.type }} - {{slip.date_placed}} -->
                    <span>
                        {{ 'betslip.bet-id' | translate }} {{slip.bet_code}} &nbsp;&nbsp;
                        <i class="fa fa-square lost" *ngIf="!slip.won && slip.status && slip.cancelled == 0"  aria-hidden="true"></i>
                        <i class="fa fa-square running" *ngIf="!slip.won && !slip.status && slip.cancelled == 0"  aria-hidden="true"></i>
                        <i class="fa fa-square won" *ngIf="slip.won && slip.status && slip.cancelled == 0"  aria-hidden="true"></i>
                        <i class="fa fa-times-circle" *ngIf="slip.status && slip.cancelled" aria-hidden="true"></i>
                    </span>
                </button>
                <div class="terms-conditions-m">
                    <div class="terms-body-m">
                        <div class="bet-header">
                            <span>{{ 'betslip.stake' | translate }} - {{slip.stake}}</span>
                            <span>{{ 'betslip.odd' | translate }} - {{slip.odds}}</span>
                            <span class=" won text-success" *ngIf="slip.won && slip.status">{{ 'betslip.win' | translate }} - {{slip.possible_win}}</span>
                            <span class="lost" *ngIf="!slip.won && slip.status && slip.cancelled == 0">{{ 'betslip.lost' | translate }}</span>
                            <span class="info text-info" *ngIf="!slip.won && !slip.status && slip.cancelled == 0">{{ 'betslip.winning' | translate }} - {{slip.possible_win}}</span>
                            <span>{{ slip.date_placed | date:'HH:mm, d/M/yy' }}</span>
                        </div>

                        <div class="matches" *ngFor="let match of slip.matches; let x=index">
                            <div class="match-row">
                                <div class="">
                                    <span>{{match.name}} &nbsp;
                                        <i *ngIf="match.won && !match.cancelled" class="fa fa-square won" aria-hidden="true"></i>
                                        <i *ngIf="!match.won && match.status && !match.cancelled" class="fa fa-square lost" aria-hidden="true"></i>
                                        <i *ngIf="!match.won && !match.status && !match.cancelled" class="fa fa-square running" aria-hidden="true"></i> 
                                        <i *ngIf="match.cancelled" class="fa fa-times-circle" aria-hidden="true"></i>
                                    </span>
                                    <span>{{ 'betslip.pick' | translate }} : {{match.pick}} - {{ match.scheduled | date:'HH:mm, d/M/yy' }}</span>
                                    <span></span>
                                </div>
                                <div class="">
                                    <span class="text-right">{{match.odd}}</span>
                                    <span class="pull-right" *ngIf="match.scores != null && match.scores.ft != 'null-null'">{{ match.scores.ft }}</span>
                                </div>
                            </div>
                        </div>
                        <div>
                            <button class="btn btn-sm btn-block btn-primary" (click)="generatePDF(slip)">
                                <i class="fa fa-print" aria-hidden="true"></i> &nbsp;&nbsp; {{ 'betslip-select.print-betslip' | translate }}
                            </button>
                        </div>
                    </div>
                </div>
            </li>
        </ul>

        <div class="text-center">
            <!-- pager -->
            <ul *ngIf="pager.pages && pager.pages.length" class="pagination">
                <li [ngClass]="{disabled:pager.currentPage === 1}">
                    <a (click)="setPage(1,2)"><i class="fa fa-angle-double-left" aria-hidden="true"></i></a>
                </li>
                <li [ngClass]="{disabled:pager.currentPage === 1}">
                    <a (click)="setPage(pager.currentPage - 1,2)"><i class="fa fa-angle-left" aria-hidden="true"></i></a>
                </li>
                <li *ngFor="let page of pager.pages" [ngClass]="{active:pager.currentPage === page}">
                    <a (click)="setPage(page,2)">{{page}}</a>
                </li>
                <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                    <a (click)="setPage(pager.currentPage + 1,2)"><i class="fa fa-angle-right" aria-hidden="true"></i>
          </a>
                </li>
                <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                    <a (click)="setPage(pager.totalPages,2)"><i class="fa fa-angle-double-right" aria-hidden="true"></i>
          </a>
                </li>
            </ul>
        </div>
    </div>

    <!-- empty array no games for autobet jackpot -->
    <div class="empty-autobet" *ngIf="flag == 0 && !load">
        <div class="alert alert-info">
            <strong>{{ 'betslip.no-bets' | translate }}!</strong>
        </div>
    </div>
    <!-- end -->
</div>